import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { BeMsDeployChangeHistory } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-09 11:14
 */
interface BeMsDeployChangeHistoryCU extends ConditionUtil<BeMsDeployChangeHistoryCU>{
    ID:FieldUtil<BeMsDeployChangeHistoryCU>;
    DEPLOY_ID:FieldUtil<BeMsDeployChangeHistoryCU>;
    BASIC_IMAGE_DESC:FieldUtil<BeMsDeployChangeHistoryCU>;
    DEPLOY_TEMPLATE_DESC:FieldUtil<BeMsDeployChangeHistoryCU>;
    DEPLOY_YMAL:FieldUtil<BeMsDeployChangeHistoryCU>;
    VERSION_NO:FieldUtil<BeMsDeployChangeHistoryCU>;
    CREATE_TIME:FieldUtil<BeMsDeployChangeHistoryCU>;
    UPDATE_TIME:FieldUtil<BeMsDeployChangeHistoryCU>;
}

class BeMsDeployChangeHistoryCUImpl extends ConditionUtilImpl<BeMsDeployChangeHistoryCUImpl> implements BeMsDeployChangeHistoryCU{ 
    newInstance(): BeMsDeployChangeHistoryCUImpl {
        return new BeMsDeployChangeHistoryCUImpl();
    } 
    get ID(): FieldUtil<BeMsDeployChangeHistoryCU>{  
        return new FieldUtil('id','id','主键', this);
    }
    get DEPLOY_ID(): FieldUtil<BeMsDeployChangeHistoryCU>{  
        return new FieldUtil('deploy_id','deployId','部署配置ID', this);
    }
    get BASIC_IMAGE_DESC(): FieldUtil<BeMsDeployChangeHistoryCU>{  
        return new FieldUtil('basic_image_desc','basicImageDesc','基础镜像描述', this);
    }
    get DEPLOY_TEMPLATE_DESC(): FieldUtil<BeMsDeployChangeHistoryCU>{  
        return new FieldUtil('deploy_template_desc','deployTemplateDesc','部署规格描述', this);
    }
    get DEPLOY_YMAL(): FieldUtil<BeMsDeployChangeHistoryCU>{  
        return new FieldUtil('deploy_ymal','deployYmal','部署YMAL', this);
    }
    get VERSION_NO(): FieldUtil<BeMsDeployChangeHistoryCU>{  
        return new FieldUtil('version_no','versionNo','版本号', this);
    }
    get CREATE_TIME(): FieldUtil<BeMsDeployChangeHistoryCU>{  
        return new FieldUtil('create_time','createTime','创建时间', this);
    }
    get UPDATE_TIME(): FieldUtil<BeMsDeployChangeHistoryCU>{  
        return new FieldUtil('update_time','updateTime','更新时间', this);
    }
}

@Singleton 
class BeMsDeployChangeHistoryMU extends TableUtilImpl<BeMsDeployChangeHistoryCU,BeMsDeployChangeHistory>{ 
    tableName  = 'be_ms_deploy_change_history';
    tableFields  = ['id','deploy_id','basic_image_desc','deploy_template_desc','deploy_ymal','version_no','create_time','update_time'];
    modelFields  = ['id','deployId','basicImageDesc','deployTemplateDesc','deployYmal','versionNo','createTime','updateTime'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): BeMsDeployChangeHistoryCU {
        return new BeMsDeployChangeHistoryCUImpl();
    }   

    static get ID(): FieldUtil<BeMsDeployChangeHistoryCU>{ 
        return new FieldUtil('id','id','主键', new BeMsDeployChangeHistoryCUImpl());
    }
    static get DEPLOY_ID(): FieldUtil<BeMsDeployChangeHistoryCU>{ 
        return new FieldUtil('deploy_id','deployId','部署配置ID', new BeMsDeployChangeHistoryCUImpl());
    }
    static get BASIC_IMAGE_DESC(): FieldUtil<BeMsDeployChangeHistoryCU>{ 
        return new FieldUtil('basic_image_desc','basicImageDesc','基础镜像描述', new BeMsDeployChangeHistoryCUImpl());
    }
    static get DEPLOY_TEMPLATE_DESC(): FieldUtil<BeMsDeployChangeHistoryCU>{ 
        return new FieldUtil('deploy_template_desc','deployTemplateDesc','部署规格描述', new BeMsDeployChangeHistoryCUImpl());
    }
    static get DEPLOY_YMAL(): FieldUtil<BeMsDeployChangeHistoryCU>{ 
        return new FieldUtil('deploy_ymal','deployYmal','部署YMAL', new BeMsDeployChangeHistoryCUImpl());
    }
    static get VERSION_NO(): FieldUtil<BeMsDeployChangeHistoryCU>{ 
        return new FieldUtil('version_no','versionNo','版本号', new BeMsDeployChangeHistoryCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<BeMsDeployChangeHistoryCU>{ 
        return new FieldUtil('create_time','createTime','创建时间', new BeMsDeployChangeHistoryCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<BeMsDeployChangeHistoryCU>{ 
        return new FieldUtil('update_time','updateTime','更新时间', new BeMsDeployChangeHistoryCUImpl());
    }

    get ID(): FieldUtil<BeMsDeployChangeHistoryCU>{ 
        return BeMsDeployChangeHistoryMU.ID;
    }
    get DEPLOY_ID(): FieldUtil<BeMsDeployChangeHistoryCU>{ 
        return BeMsDeployChangeHistoryMU.DEPLOY_ID;
    }
    get BASIC_IMAGE_DESC(): FieldUtil<BeMsDeployChangeHistoryCU>{ 
        return BeMsDeployChangeHistoryMU.BASIC_IMAGE_DESC;
    }
    get DEPLOY_TEMPLATE_DESC(): FieldUtil<BeMsDeployChangeHistoryCU>{ 
        return BeMsDeployChangeHistoryMU.DEPLOY_TEMPLATE_DESC;
    }
    get DEPLOY_YMAL(): FieldUtil<BeMsDeployChangeHistoryCU>{ 
        return BeMsDeployChangeHistoryMU.DEPLOY_YMAL;
    }
    get VERSION_NO(): FieldUtil<BeMsDeployChangeHistoryCU>{ 
        return BeMsDeployChangeHistoryMU.VERSION_NO;
    }
    get CREATE_TIME(): FieldUtil<BeMsDeployChangeHistoryCU>{ 
        return BeMsDeployChangeHistoryMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<BeMsDeployChangeHistoryCU>{ 
        return BeMsDeployChangeHistoryMU.UPDATE_TIME;
    }
}
export {BeMsDeployChangeHistoryMU, BeMsDeployChangeHistoryCU}
